Bug 94250 - [NEW PORT] sysutils/cromwell: Linux/FreeBSD BIOS for the Microsoft Xbox
[NEW PORT] sysutils/cromwell: Linux/FreeBSD BIOS for the Microsoft Xbox
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 23:00 UTC by Rink Springer
Modified: 2006-03-15 10:33 UTC (History)
0 users

See Also:


Attachments
file.shar (3.60 KB, text/plain)
2006-03-08 23:00 UTC, Rink Springer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rink Springer freebsd_committer 2006-03-08 23:00:15 UTC
	This port will build the Linux/FreeBSD BIOS Cromwell, which can be
	flashed to the EEPROM using the sysutils/raincoat port or netbooted.

	It includes a patch to enable loading the kernel from UFS partitions.

How-To-Repeat: 	N/A
Comment 1 Renato Botelho freebsd_committer 2006-03-09 15:41:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-03-09 17:54:24 UTC
I tested it here and it built fine on 5.x. Any other reason to mark
it as BROKEN in this version?

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-03-09 17:56:32 UTC
State Changed
From-To: open->feedback

Ask about BROKEN on 5.x
Comment 4 mail 2006-03-09 20:34:24 UTC
Hi,

> I tested it here and it built fine on 5.x. Any other reason to mark
> it as BROKEN in this version?


I guess you are right; the reason I marked it as broken is that FreeBSD
5.x will never run on the Xbox.

However, as this only *builds* an image (and does not install it), it
may be useful to build the Cromwell on another box, so this BROKEN line
should indeed be removed.

Thanks for your testing!

-- 
Rink P.W. Springer                                - http://rink.nu
  "Richter: Tribute? You steal men's souls, and make them your slaves!
   Dracula: Perhaps the same could be said of all religions."
 - Castlevania: Symphony of the Night
Comment 5 Renato Botelho freebsd_committer 2006-03-10 10:36:20 UTC
State Changed
From-To: feedback->open

Feedback recieved
Comment 6 Renato Botelho freebsd_committer 2006-03-15 10:33:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!